# Module: Haml::Filters::Cdata

Includes:
  Base

Defined in:
  lib/haml/filters.rb

## Overview

Surrounds the filtered text with CDATA tags.

## Instance Method Summary collapse

- #render(text)

### Methods included from Base

#compile, included, #internal_compile, #render_with_options

## Instance Method Details

### #render(text)

See Also:

- Base#render

    253
    254
    255

    # File 'lib/haml/filters.rb', line 253

    def render(text)
      "<![CDATA[#{"\n#{text.rstrip}".gsub("\n", "\n    ")}\n]]>"
    end